openSUSE Security Update : libxml2 (openSUSE-SU-2010:1004-1)

Medium Nessus Plugin ID 75632


The remote openSUSE host is missing a security update.


libxml2: Invalid memory access in the xpath handling has been fixed.
CVE-2010-4008 has been assigned to this issue.


Update the affected libxml2 packages.

See Also

Plugin Details

Severity: Medium

ID: 75632

File Name: suse_11_3_libxml2-101103.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/06/13

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libxml2, p-cpe:/a:novell:opensuse:libxml2-32bit, p-cpe:/a:novell:opensuse:libxml2-devel, p-cpe:/a:novell:opensuse:libxml2-devel-32bit, cpe:/o:novell:opensuse:11.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2010/11/03

Reference Information

CVE: CVE-2010-4008